Bug 476708 - virsh pool-define-as creates xml libvirt doesn't like
virsh pool-define-as creates xml libvirt doesn't like
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 11:57 EST by Jarod Wilson
Modified: 2009-03-10 08:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-10 08:33:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarod Wilson 2008-12-16 11:57:31 EST
Description of problem:
virsh pool-define-as creates xml that libvirt doesn't like. From the libvirt.org site, the following input xml works fine:

<pool type="iscsi">
  <name>virtimages</name>
  <source>
    <host name="iscsi.example.com"/>
    <device path="demo-target"/>
  </source>
  <target>
    <path>/dev/disk/by-path</path>
  </target>
</pool>

Looking at the cmdPoolDefineAs() function in virsh.c, the generated xml looks more like this:

<pool type="iscsi">
  <name>virtimages</name>
  <source>
    <host>iscsi.example.com</host>
    <device>demo-target</device>
  </source>
  <target>
    <path>/dev/disk/by-path</path>
  </target>
</pool>

When one tries to feed this xml into virsh pool-define (or tries to use virsh pool-define-as w/the appropriate flags, one gets:

libvir: Storage error : XML description for missing storage pool source host name is not well formed or invalid

So either cmdPoolDefineAs needs to be modified to spit out something that looks more like the example, or both forms need to be parseable.

Version-Release number of selected component (if applicable):
libvirt-0.5.1-1.fc11
Comment 2 Cole Robinson 2009-01-21 09:15:46 EST
Hi, this is fixed upstream as of Dec 22:

http://git.et.redhat.com/?p=libvirt.git;a=commit;h=440d4ec2b90d7ada3615ae643993b82841b3705d

Moving to POST.
Comment 3 Daniel Berrange 2009-03-10 08:33:34 EDT
Fixed in rawhide in 0.6.1 release (or perhaps even 0.6.0)

Note You need to log in before you can comment on or make changes to this bug.